Bug 601655 - SELinux is preventing /usr/libexec/dovecot/deliver "read" access on /var/spool/mqueue/dfo58AL71D027807.
SELinux is preventing /usr/libexec/dovecot/deliver "read" access on /var...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:a26cc9cf728...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-08 08:22 EDT by Joel James Adamson
Modified: 2010-06-23 13:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-28.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-23 13:48:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joel James Adamson 2010-06-08 08:22:36 EDT
Summary:

SELinux is preventing /usr/libexec/dovecot/deliver "read" access on
/var/spool/mqueue/dfo58AL71D027807.

Detailed Description:

[deliver has a permissive type (dovecot_deliver_t). This access was not denied.]

SELinux denied access requested by deliver. It is not expected that this access
is required by deliver and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:dovecot_deliver_t:s0
Target Context                system_u:object_r:mqueue_spool_t:s0
Target Objects                /var/spool/mqueue/dfo58AL71D027807 [ file ]
Source                        deliver
Source Path                   /usr/libexec/dovecot/deliver
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           dovecot-1.2.11-3.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-21.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.33.5-112.fc13.x86_64 #1 SMP Thu May 27
                              02:28:31 UTC 2010 x86_64 x86_64
Alert Count                   52
First Seen                    Mon 07 Jun 2010 05:40:04 PM EDT
Last Seen                     Tue 08 Jun 2010 06:21:08 AM EDT
Local ID                      2925ace5-449f-4115-be7d-a652eea6ff36
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1275992468.474:35668): avc:  denied  { read } for  pid=27810 comm="deliver" path="/var/spool/mqueue/dfo58AL71D027807" dev=dm-0 ino=78240 scontext=system_u:system_r:dovecot_deliver_t:s0 tcontext=system_u:object_r:mqueue_spool_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1275992468.474:35668): arch=c000003e syscall=59 success=yes exit=0 a0=16a8550 a1=16a8590 a2=16a77b0 a3=7fffb2891360 items=0 ppid=27809 pid=27810 auid=4294967295 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=4294967295 comm="deliver" exe="/usr/libexec/dovecot/deliver" subj=system_u:system_r:dovecot_deliver_t:s0 key=(null)



Hash String generated from  catchall,deliver,dovecot_deliver_t,mqueue_spool_t,file,read
audit2allow suggests:

#============= dovecot_deliver_t ==============
allow dovecot_deliver_t mqueue_spool_t:file read;
Comment 1 Daniel Walsh 2010-06-08 08:44:10 EDT
Miroslav,  I guess we need
	mta_read_queue(dovecot_deliver_t)
Comment 2 Miroslav Grepl 2010-06-08 08:52:27 EDT
Yes, it looks so.

Added to selinux-policy-3.7.19-25.fc13
Comment 3 Fedora Update System 2010-06-14 15:30:11 EDT
selinux-policy-3.7.19-28.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-28.fc13
Comment 4 Fedora Update System 2010-06-15 12:00:10 EDT
selinux-policy-3.7.19-28.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-28.fc13
Comment 5 Fedora Update System 2010-06-23 13:47:05 EDT
selinux-policy-3.7.19-28.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.